from django.urls import path

from gaehsnitz.suff import (
    book_view,
    change_pin_view,
    closed_view,
    dashboard_view,
    delete_consumption_view,
    delete_payment_view,
    logout_view,
    me_view,
    name_view,
    pay_view,
    pin_view,
    staff_book_view,
    staff_delete_consumption_view,
    staff_delete_payment_view,
    staff_index_view,
    staff_pay_view,
    staff_pin_reset_view,
    staff_register_view,
    staff_user_view,
)

app_name = "suff"

urlpatterns = [
    path("", name_view, name="name"),
    path("closed/", closed_view, name="closed"),
    path("pin/", pin_view, name="pin"),
    path("me/", me_view, name="me"),
    path("me/change-pin/", change_pin_view, name="change_pin"),
    path("book/", book_view, name="book"),
    path("book/<int:consumption_id>/delete/", delete_consumption_view, name="delete_consumption"),
    path("pay/", pay_view, name="pay"),
    path("pay/<int:payment_id>/delete/", delete_payment_view, name="delete_payment"),
    path("dashboard/", dashboard_view, name="dashboard"),
    path("staff/", staff_index_view, name="staff_index"),
    path("staff/new/", staff_register_view, name="staff_register"),
    path("staff/u/<str:username>/", staff_user_view, name="staff_user"),
    path("staff/u/<str:username>/pin/", staff_pin_reset_view, name="staff_pin_reset"),
    path("staff/u/<str:username>/book/", staff_book_view, name="staff_book"),
    path("staff/u/<str:username>/pay/", staff_pay_view, name="staff_pay"),
    path(
        "staff/u/<str:username>/pay/<int:payment_id>/delete/",
        staff_delete_payment_view,
        name="staff_delete_payment",
    ),
    path(
        "staff/u/<str:username>/book/<int:consumption_id>/delete/",
        staff_delete_consumption_view,
        name="staff_delete_consumption",
    ),
    path("logout/", logout_view, name="logout"),
]
